Index: trunk/LMDZ.GENERIC/libf/phystd/writediagsoil.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/writediagsoil.F90	(revision 786)
+++ trunk/LMDZ.GENERIC/libf/phystd/writediagsoil.F90	(revision 787)
@@ -10,4 +10,6 @@
 ! (yielding the sought time series of the variable)
 
+use comsoil_h
+
 implicit none
 
@@ -16,5 +18,4 @@
 #include"paramet.h"
 #include"control.h"
-#include"comsoil.h"
 #include"netcdf.inc"
 
@@ -78,5 +79,5 @@
   
   ! Define dimensions and axis attributes
-  call iniwritesoil(nid)
+  call iniwritesoil(nid,ngrid)
   
   ! set zitau to -1 to be compatible with zitau incrementation step below
Index: trunk/LMDZ.GENERIC/libf/phystd/writediagspecIR.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/writediagspecIR.F	(revision 786)
+++ trunk/LMDZ.GENERIC/libf/phystd/writediagspecIR.F	(revision 787)
@@ -43,4 +43,5 @@
 ! Addition by RW (2010) to allow OLR to be saved in .nc format
       use radinc_h, only : L_NSPECTI
+      USE surfdat_h
 
       implicit none
@@ -56,5 +57,4 @@
 #include "netcdf.inc"
 #include "temps.h"
-#include "surfdat.h"
 #include "callkeys.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/writediagspecVI.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/writediagspecVI.F	(revision 786)
+++ trunk/LMDZ.GENERIC/libf/phystd/writediagspecVI.F	(revision 787)
@@ -43,4 +43,5 @@
 ! Addition by RW (2010) to allow OSR to be saved in .nc format
       use radinc_h, only : L_NSPECTV
+      USE surfdat_h
 
       implicit none
@@ -56,5 +57,4 @@
 #include "netcdf.inc"
 #include "temps.h"
-#include "surfdat.h"
 #include "callkeys.h"
 
